Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditSetAttributeConfigurationEvent

All Superinterfaces:
  AuditConfigurationEvent, AuditContext, AuditEvent

    public interface AuditSetAttributeConfigurationEvent

extends AuditConfigurationEvent

The `AuditSetAttributeConfigurationEvent` interface is used to post a specific configuration change audit event that identifies that a request has been made to modify an existing configuration artifact. This event will indicate if the request was allowed or disallowed. The WebLogic Management infrastructure implements this interface. An Auditing provider can use this interface to get specific information about the configuration audit event.

Field Summary
`static String` | `SETATTRIBUTE_EVENT` Unique identifier for the SetAttribute Configuration Audit Event

Method Summary
`String` | `getAttributeName()` Gets the AttributeName associated with this `AuditSetAttributeConfigurationEvent`.
`Object` | `getNewValue()` Gets the NewValue associated with this `AuditSetAttributeConfigurationEvent`.
`Object` | `getOldValue()` Gets the OldValue associated with this `AuditSetAttributeConfigurationEvent`.

Methods inherited from interface weblogic.security.spi.AuditConfigurationEvent
`getObjectName, getSubject`

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Field Detail

### SETATTRIBUTE_EVENT

    static final String SETATTRIBUTE_EVENT

  Unique identifier for the SetAttribute Configuration Audit Event

  See Also:
    Constant Field Values

Method Detail

### getAttributeName

    String getAttributeName()

  Gets the AttributeName associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the String representing the AttributeName of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

### getOldValue

    Object getOldValue()

  Gets the OldValue associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the `Object` representing the old value of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

### getNewValue

    Object getNewValue()

  Gets the NewValue associated with this `AuditSetAttributeConfigurationEvent`.

  Returns:
    the `Object` representing the new value of the MBean attribute being modified by the subject associated with this `AuditSetAttributeConfigurationEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD